/*
 *  Licensed to the Apache Software Foundation (ASF) under one or more
 *  contributor license agreements.  See the NOTICE file distributed with
 *  this work for additional information regarding copyright ownership.
 *  The ASF licenses this file to You under the Apache License, Version 2.0
 *  (the "License"); you may not use this file except in compliance with
 *  the License.  You may obtain a copy of the License at
 *
 *     http://www.apache.org/licenses/LICENSE-2.0
 *
 *  Unless required by applicable law or agreed to in writing, software
 *  distributed under the License is distributed on an "AS IS" BASIS,
 *  WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
 *  See the License for the specific language governing permissions and
 *  limitations under the License.
 */
/**
 * @author Evgeniya G. Maenkova
 * @version $Revision: 1.4 $
 */
package javax.swing.text.html.parser;

public interface DTDConstants {
    int CDATA = 1;

    int ENTITY = 2;

    int ENTITIES = 3;

    int ID = 4;

    int IDREF = 5;

    int IDREFS = 6;

    int NAME = 7;

    int NAMES = 8;

    int NMTOKEN = 9;

    int NMTOKENS = 10;

    int NOTATION = 11;

    int NUMBER = 12;

    int NUMBERS = 13;

    int NUTOKEN = 14;

    int NUTOKENS = 15;

    int RCDATA = 16;

    int EMPTY = 17;

    int MODEL = 18;

    int ANY = 19;

    int FIXED = 1;

    int REQUIRED = 2;

    int CURRENT = 3;

    int CONREF = 4;

    int IMPLIED = 5;

    int PUBLIC = 10;

    int SDATA = 11;

    int PI = 12;

    int STARTTAG = 13;

    int ENDTAG = 14;

    int MS = 15;

    int MD = 16;

    int SYSTEM = 17;

    int GENERAL = 65536;

    int DEFAULT = 131072;

    int PARAMETER = 262144;
}

